# MOBILEMONEY

## Payin by MOBILEMONEY

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/create`

This endpoint allows you to submit a payin by MOBILEMONEY in Uganda.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

<table><thead><tr><th width="277">Name</th><th width="166">Type</th><th>Description</th></tr></thead><tbody><tr><td>app_id<mark style="color:red;">*</mark></td><td>string</td><td><p>created app's id at dashboard</p><p>- Max. 32 chars -</p></td></tr><tr><td>method<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: MOBILEMONEY</td></tr><tr><td>out_trade_no<mark style="color:red;">*</mark></td><td>string</td><td>ID given by the merchant in their system<br>- Max. 64 chars - </td></tr><tr><td>notify_url<mark style="color:red;">*</mark></td><td>string</td><td>Where Pagsmile will send notification to</td></tr><tr><td>return_url</td><td>string</td><td>Redirect to Merchant's url when user finished checkout</td></tr><tr><td>timestamp<mark style="color:red;">*</mark></td><td>string</td><td>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</td></tr><tr><td>subject<mark style="color:red;">*</mark></td><td>string</td><td><p>payment reason or item title</p><p>- Max. 128 chars -</p></td></tr><tr><td>content</td><td>string</td><td><p>payment reason detail or item detail</p><p>- Max. 255 chars -</p></td></tr><tr><td>order_amount<mark style="color:red;">*</mark></td><td>string</td><td>payment amount <br>- check <a href="https://docs.pagsmile.com/payin/data/payment-method#uruguay-1">here </a>-</td></tr><tr><td>order_currency<mark style="color:red;">*</mark></td><td>string</td><td>Fixed value: UGX</td></tr><tr><td>buyer_id<mark style="color:red;">*</mark></td><td>string</td><td>merchant user's id</td></tr><tr><td>customer.phone<mark style="color:red;">*</mark></td><td>string</td><td>User's phone</td></tr><tr><td>region</td><td>string</td><td>Required if using Global App<br>- Fixed value: UGA -</td></tr></tbody></table>

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
    "code":"10000",
    "msg":"Success",
    "prepay_id":"N3RYUb*****=-7ae03731",
    "trade_no":"2026***205",
    "out_trade_no":"out_trade_no_404**333",
    "web_url":"",
    "pay_url":"https://checkout.pagsmile.com/checkout?prepay_id=N****03731",
    "trade_status":"PROCESSING"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "1649***56",
    * "out_trade_no": "out***3300",
    * "order_currency": "UGX",
    * "method": "MOBILEMONEY",
    * "order_amount": "1000",
    * "subject": "pagsmile test ",
      "content": "pagsmile test ",
    * "timestamp": "2024-07-04 18:50:42",
    * "notify_url": "http://demo.gemini-tiger.cn/callback/success",
      "return_url": "https://www.merchant.com",
    * "buyer_id": "buyer52023",
    * "customer": {
    *     "phone": "254******000"
      }
}
```

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
